;; DS1620a.inc - DS1620 High Reolution Temperature Measurement Sensor
;;******************************************************************************


; DS1620 Control register
ThermControlOneShot :equ 01h    ;
ThermControlCPUUse  :equ 02h    ; 1=data clock,0=Clock line signals start conversion
ThermControlNVB     :equ 10h    ; Nonvolatile Memory Busy flag (up to 10ms)
ThermControlDone    :equ 80h    ;
ThermControlFlags   :equ 60h    ; THF and TLF { Temperature High Flag (THF) and Temperature Low Flag (TLF) }

; DS1620 Protocol
ThermRead           :equ A0h

ThermTempRead       :equ AAh
ThermConvertStart   :equ EEh
ThermConvertStop    :equ 22h
ThermTempHighWrite  :equ 01h
ThermTempLowWrite   :equ 02h
ThermTempHighRead   :equ A1h    ;ThermTempHighWrite OR ThermRead
ThermTempLowRead    :equ A2h    ;ThermTempLowWrite  OR ThermRead
ThermConfigWrite    :equ 0Ch
ThermConfigRead     :equ ACh    ;ThermConfigWrite OR ThermRead
ThermCounterRead    :equ A0h    ;00h              OR ThermRead
ThermCounterLoad    :equ 41h    ;undocumented ???
ThermSlopeRead      :equ A9h


