unit EEprom;

interface

uses  EZUSB,
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Edit2: TEdit;
    Label2: TLabel;
    Edit3: TEdit;
    Label3: TLabel;
    Edit4: TEdit;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Typ256: Boolean;
  Adresse, Anzahl: Integer;

implementation

{$R *.DFM}

procedure Brennen (Adresse: Word; Wert: Byte);
var n, m: Integer;
begin
      WrRAM ($01FE,Hi(Adresse));
      WrRAM ($01FF,Lo(Adresse));
      WrRAM ($0200,Wert);
      ProgStart;
      Sleep (2);
      ProgReset;
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
  Typ256 := True;
end;

procedure TForm1.Button1Click(Sender: TObject);
 VAR  f :file of byte;
      r,wert :Byte;
      Adresse, I2CAdr, n, Code : Integer;
begin
   val (Edit1.Text, Adresse, Code);
   val (Edit4.Text, I2CAdr, Code);
   I2CAdr := I2CAdr and 254;
   WrRAM ($01FD,Lo(I2CAdr));
   OpenDialog1.FileName := '*.bin';
   OpenDiaLog1.Execute;
   if OpenDialog1.FileName > '' then begin
     AssignFile(f,OpenDialog1.Filename);
    {$I-} Reset(f); {$I+}
    r:=IOResult;
    IF r = 0 then begin
      if Typ256 then DownLoadBin ('I2EEwr_2.obj')
      else DownLoadBin ('I2EEwr_1.obj');
      for n:= 1 to filesize (f) do begin
        Read(f,wert);
        Brennen(Adresse+n-1,Wert);
      end;
      CloseFile(f);
      Edit3.Text := 'Brennen OK'
    end;
  end;

end;

procedure TForm1.Button2Click(Sender: TObject);
 VAR  f :file of byte;
      r,wert,Block :Byte;
      Adresse, I2CAdr, Anzahl,n, Code : Integer;
begin
   val (Edit1.Text, Adresse, Code);
   val (Edit2.Text, Anzahl, Code);
   val (Edit4.Text, I2CAdr, Code);
   I2CAdr := I2CAdr and 254;
   WrRAM ($01FD,Lo(I2CAdr));
   SaveDialog1.FileName := '*.bin';
   SaveDiaLog1.Execute;
   if SaveDialog1.FileName > '' then begin
     AssignFile(f,SaveDialog1.Filename);
    {$I-} Rewrite(f); {$I+}
    r:=IOResult;
    IF r = 0 then begin
      Block := 0;
      ProgReset;
      if Typ256 then DownLoadBin ('I2EErd_2.obj')
          else DownLoadBin ('I2EErd_1.obj');
      repeat
      WrRAM ($01FE,Hi(Adresse + Block * 256));
      WrRAM ($01FF,Lo(Adresse + Block * 256));
      Block := Block + 1;
      ProgStart;
      Sleep (100);
      ProgReset;
      ReadRAMbytes ($200,256);
      if Anzahl > 256 then begin
        for n:= 0 to 255 do begin
          Wert := InBuffer[n];
          write (f,Wert);
        end;
        Anzahl := Anzahl -256;
      end else begin
        for n:= 0 to (Anzahl-1) do begin
          Wert := InBuffer[n];
          write (f,Wert);
        end;
        Anzahl := 0;
      end;
      until Anzahl = 0;
      CloseFile(f);
      end;
      Edit3.Text := 'OK';
  end;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  Typ256 := false;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  Typ256 := true;
end;


end.
